// ChunkingService.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace Microsoft.Presto.StarterKit.NonNormative
{
    public class ChunkingService : IChunking
    {
        private ChunkingMessage message = null;

        #region IChunking interface implementation       
        public void StartSubmitOneWay(string filename, int chunkNumber)
        {
            Console.WriteLine("   Receiving payload. Writing to {0}...", filename);
            message = new ChunkingMessage(chunkNumber, filename);
        }

        public void SendSubmitOneWayChunk(Chunk chunk)
        {
            Console.WriteLine("   ...Receiving chunk #{0}, writing to {1}", chunk.id, message.FileInfo.Name);
            message.WriteChunk(chunk);
        }

        public void EndStartSubmitOneWay()
        {
            Console.WriteLine("   Done.");
        }

        #endregion
    }   
}
